ISOQUERY(1)

NAME
isoquery - Cerca e visualizza codici in alcuni standard ISO (paesi, lingue, etc…)

SINTASSI

isoquery [OPTION …] [ISO codes]

DESCRIZIONE

Questa pagina documenta brevemente il comando isoquery. Può essere utilizzato per generare un output tabulare dei codici standard ISO forniti dal pacchetto iso-codes. Analizza i file JSON e mostra tutti i codici ISO che contengono oppure solo alcuni, se specificato da riga di comando. Inoltre permette di ottenere tutte le traduzioni disponibili dei codici ISO.

OPZIONI

Questo programma segue la sintassi della linea di comando GNU, le opzioni sono precedute da due trattini ('-'). isoquery accetta le seguenti opzioni:

-i, --iso=STANDARD
    Standard ISO da utilizzare. Valori possibili: 639-2, 639-3, 639-5, 3166-1, 3166-2, 3166-3, 4217, 15924 (default: 3166-1)

-p, --pathname=NOMEPERCORSO
    Utilizza i dati ISO presenti nei file json presenti in NOMEPERCORSO (default: /usr/share/iso-codes/json)

-l, --locale=LOCALE
    Utilizzare questo valore di LOCALE per l’output

-n, --name
    Nome dei codici (predefinito)

-o, --official_name
    Nome ufficiale dei codici. Il valore restituito può essere uguale a --name (si applica solo a ISO 3166-1)

-c, --common_name
    Nome comune dei codici. Il valore restituito può essere uguale a --name (si applica solo a ISO 639-2, 639-3 e 3166-1)

-0, --null
    Separare le voci con un carattere NULL anziché con il ritorno a capo

-f, --flag
    Show country flags with regional indicator symbol letters (only applies to ISO 3166-1)

-h, --help
    Mostra un riepilogo delle opzioni

-v, --version
    Mostra la versione del programma ed il copyright

ESEMPI

Quando viene lanciato senza alcuna opzione isoquery restituisce una tabella di tutti i codici ISO 3166-1. Le prime tre colonne contengono il codice alfa-2, il codice alfa3 ed il codice numerico assegnato al paese indicato nella quarta colonna.

    $ isoquery
    AW      ABW     533     Aruba
    […]
    ZW      ZWE     716     Zimbabwe

Se sono necessari solo alcuni paesi è possibile indicarli con uno qualsiasi dei codici delle prime tre colonne per ridurre l’output.

    $ isoquery so nor 484
    SO      SOM     706     Somalia
    NO      NOR     578     Norway
    MX      MEX     484     Mexico

Se hai bisogno della traduzioni dei nomi dei paesi, specifica in quale LOCALE desideri l’output. Si prega di notare che verrà visualizzato il nome in Inglese se non è disponibile la traduzione per un determinato LOCALE.

    $ isoquery --locale=nl fr de es
    FR      FRA     250     Frankrijk
    DE      DEU     276     Duitsland
    ES      ESP     724     Spanje

If your terminal supports the unicode regional indicator symbol letters, you can use the --flag command line option. Those letters can be displayed as a country flag.

    $ isoquery --flag --locale=nl fr de es
    FR      FRA     250     🇫🇷      Frankrijk
    DE      DEU     276     🇩🇪      Duitsland
    ES      ESP     724     🇪🇸      Spanje

Tutto quanto detto sopra funziona per diversi standard ISO, in questo modo è possibile utilizzare lo standard ISO 3166-2, che è più ampio, semplicemente utilizzando l’opzione --iso. Le colonne sono: codice ISO 3166-2, tipo (ad esempio Stato, Provincia e così via), oggetto padre e nome. La terza colonna (oggetto padre) può essere vuota.

    $ isoquery --iso=3166-2
    AD-02   Parish          Canillo
    […]
    ZW-MW   Province        Mashonaland West

I codici cancellati da ISO 3166-1 sono disponibili in ISO 3166-3. Le colonne sono alfa-3, alfa-4, il codice numerico, commento, fine periodo validità e nome. Le colonne: codice numerico, commento e fine periodo validità possono essere vuote.

    $ isoquery --iso=3166-3
    AFI     AIDJ    262             1977    French Afars and Issas
    ANT     ANHH    532             1993-07-12      Netherlands Antilles
    […]
    YUG     YUCS    891             1993-07-28      Yugoslavia, Socialist Federal Republic of
    ZAR     ZRCD    180             1997-07-14      Zaire, Republic of

Se viene utilizzato lo standard ISO 639-2 le colonne visualizzate sono alfa-3, codice bibliografico e alfa-2. La seconda e la terza colonna possono essere vuote.

    $ isoquery --iso=639-2
    aar             aa      Afar
    abk             ab      Abkhazian
    ace                     Achinese
    […]
    zun                     Zuni
    zxx                     No linguistic content; Not applicable
    zza                     Zaza; Dimili; Dimli; Kirdki; Kirmanjki; Zazaki

È possibile semplificare i risultati indicando solamente alcuni codici. Ovviamente è possibile indicare di tradurre questi risultati.

    $ isoquery --iso=639-2 --locale=pt vi bo kl
    vie             vi      Vietnamita
    bod     tib     bo      tibetano
    kal             kl      Kalaallisut; Greenlandic

Se viene utilizzato lo standard ISO 639-3 le colonne visualizzate sono alfa-3, ambito, tipo, alfa-2, codice bibliografico e nome della lingua. Sia alpha-2 che codice bibliografico possono essere vuoti.

    $ isoquery -i 639-3 aal new spa guc
    aal     I       L                       Afade
    new     I       L                       Newari
    spa     I       L       es              Spanish
    guc     I       L                       Wayuu

È disponibile anche ISO 639-5. Le colonne contengono alfa-3 ed il nome.

    $ isoquery -i 639-5 aus tut
    aus     Australian languages
    tut     Altaic languages

You can get selected translations of currency names from the ISO 4217 standard by using the following command. The first of the columns is the alpha-3 code, and the second one is the numerical code assigned to the currency. The name of the currency is shown in the third column.

    $ isoquery --iso=4217 --locale=da cad 392
    CAD     124     Canadisk dollar
    JPY     392     Yen

If you need to get script names, you can use the ISO 15924 table. The first of the columns is the alpha-4 code, and the second one is the numerical code assigned to the script. The name of the script is shown in the third column.

    $ isoquery --iso=15924 jpan latn 280
    Jpan    413     Japanese (alias for Han + Hiragana + Katakana)
    Latn    215     Latin
    Visp    280     Visible Speech

FILE

Di default verranno utilizzati i file JSON forniti dal pacchetto iso-codes.

    • /usr/share/iso-codes/json/iso_639-2.json

    • /usr/share/iso-codes/json/iso_639-3.json

    • /usr/share/iso-codes/json/iso_639-5.json

    • /usr/share/iso-codes/json/iso_3166-1.json

    • /usr/share/iso-codes/json/iso_3166-2.json

    • /usr/share/iso-codes/json/iso_3166-3.json

    • /usr/share/iso-codes/json/iso_4217.json

    • /usr/share/iso-codes/json/iso_15924.json

AUTORE

Dr. Tobias Quathamer

TRADUZIONE

Sebastiano Pistore